Update the business vault

patch/businesses/vault
Updates data in a business vault given a short-lived client token. The client token must have access to vault the provided data.

Request

Headers

x-fp-authorization·

string

Short-lived client token issued by the POST /users/{fp_id}/client_token or POST /businesses/{fp_bid}/client_token API.

Body

Key-value map of data to add to the business's vault. For more documentation on available keys, see here.
<key>·

string

Allowed values:

business.namebusiness.dbabusiness.websitebusiness.phone_numberbusiness.tinbusiness.address_line1business.address_line2business.citybusiness.statebusiness.zipbusiness.countrybusiness.corporation_typebusiness.formation_statebusiness.formation_date
custom.*
<value>·

string | integer | boolean | object

Response

Empty JSON.
PATCH /businesses/vault
1curl -X PATCH https://api.onefootprint.com/businesses/vault \
2  -H 'x-fp-authorization: cttok_UxM6Vbvk2Rcy1gzcSuXgk3sj3L9I0pAnNH' \
3  -d '{
4    "business.name": "Acme Bank",
5    "business.website": "acmebank.org",
6    "custom.account_id": "d0af81fc-41c2-46ca-8a8d-797b8e4d3146"
7  }'
Response example
{}